Customers

List Business Customers

List customers created under the authenticated business, with support for filtering, search, sorting, and pagination.

GET
/api/v1/customer

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

reference?string
sort?string
search?string
limit?integer
page?integer
status?string
startDate?string
endDate?string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/customer"
{
  "requestId": "3a6538fd-03f0-4b05-ba41-5d44769dd014",
  "requestTimestamp": "2025-07-16 08:59:28",
  "message": "List of Customers",
  "statusCode": 200,
  "data": [
    {
      "id": "019a1639-ce25-70b7-ab20-16fcb2bac023",
      "firstName": "Laurianne",
      "lastName": "MacGyver",
      "businessName": "MacDonald",
      "type": "business",
      "email": "Bianka_Cole@yahoo.com",
      "phoneNumber": "+2347009069130",
      "reference": "dp_cust_iovciv7ovnw1qcx",
      "businessState": "TEST",
      "isBlacklisted": false,
      "hasWallet": true,
      "wallet": {
        "id": "469e02df-43ae-46e7-8ebc-0b0ab5e19303",
        "walletId": "469e02df-43ae-46e7-8ebc-0b0ab5e19304",
        "businessId": "469e02df-43ae-46e7-8ebc-0b0ab5e19305",
        "currency": "NGN",
        "category": "customer",
        "type": "multi_use",
        "status": "active",
        "accountNumber": "6754358291",
        "accountName": "dp_pay/wilkinson, sawayn and sch/wilkinson, sawayn and schroeder ltd",
        "accountReference": "PL_DUPLO_0863278",
        "provider": "duplo"
      },
      "status": "ACTIVE",
      "source": "API",
      "createdAt": "2025-10-24 12:37:58"
    }
  ],
  "links": {
    "first": "{baseUrl}/api/v1/customer&page=1",
    "last": "{baseUrl}/api/v1/customer&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "links": [
      {
        "url": null,
        "label": "&laquo; Previous",
        "active": false
      }
    ],
    "path": "{baseUrl}/api/v1/customer",
    "per_page": 10,
    "to": 1,
    "total": 1
  }
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2025-09-04 11:49:40",
  "message": "Unauthenticated.",
  "statusCode": 401
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2025-09-04 11:49:40",
  "message": "Access denied.",
  "statusCode": 403
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2025-09-04 11:49:40",
  "message": "An error occurred while processing your request.",
  "statusCode": 500
}

How is this guide?

Last updated on